Page tree
Skip to end of metadata
Go to start of metadata

This topic presents some of the Frequently Asked Questions (FAQ) about upgrading and migrating to Infrastructure Management 10.7.

FAQs about upgrading the Infrastructure Management Server

This section presents some of the FAQs about upgrading the Infrastructure Management Server.

 What are the supported versions that can be upgraded to BMC TrueSight Infrastructure Management Server 10.7?

The previous released versions: Infrastructure Management 10.0.500 or 10.5.xx with the latest service packs applied. For more information, see Preparing for the Infrastructure Management upgrade.


 A BMC TrueSight Infrastructure Management Server has Integration Services and BMC PATROL Agents connected. Which component must be upgraded first?

 BMC recommends that the BMC TrueSight Infrastructure Management Server be upgraded first.

 The BMC TrueSight Infrastructure Management Server is upgraded but the PATROL Agents are not yet upgraded. Will existing KMs on the PATROL Agent work?

 Yes, KMs compatible with existing PATROL Agent versions will continue to work.

 A Infrastructure Management Server is upgraded to 10.7 and the Integration Service is also moved to 10.7. Will older versions of PATROL Agents work with the upgraded 10.7 Integration Service?
 Will the existing license file work after the Infrastructure Management Server is upgraded to 10.7?

 Yes, the existing license file will work. Contact Customer Support for obtaining the latest license file.

 Is there an option to keep the data backup before upgrade and if there is a failure in the upgrade, is there an option to revert to the previous version of the BMC TrueSight Infrastructure Management Server?

 Yes. BMC recommends that you back up your existing environment before the upgrade so that the environment can be restored in case of a failure.

 A BMC TrueSight Infrastructure Management Server running on an Oracle database is upgraded to 10.7. Does this work without making any changes to the database?

 Yes, this will work without making any changes to database.

 In a multi-server deployment, which component must be upgraded first?

 In a multi-server deployment, first upgrade the Child Servers followed by the Central Server.

FAQs about upgrading the Integration Service

This section presents some of the FAQs about upgrading the Integration Service.

 Can I route the upgraded PATROL Agent to a freshly installed 10.7 Integration Service?

 Yes. Install a fresh 10.7 Integration Service, start upgrading each PATROL Agent, and move it to new Integration Service.

 Can I install a new 10.7 Integration Service on the same computer on which an older Integration Service exists?

 Yes, multiple Integration Services are supported. You can install a fresh 10.7 Integration Service on the same computer and move the upgraded PATROL Agents to this Integration Service.

 Can I move the upgraded PATROL Agent to a new 10.7 Integration Service installed on a remote computer?

 Yes, you can install a new 10.7 Integration Service on a different computer and move the PATROL Agents to that Integration Service.

 A Infrastructure Management Server is upgraded to 10.7. There are multiple Integration Services connected. Will the data collection work from all of the Integration Services, if only one of the Integration Services and the related PATROL Agent are upgraded?

 Yes, data collection from the remaining Integration Service(s) continues.

 What are the supported Integration Service versions prior to 10.7?

 Infrastructure Management 10.7 works with Integration Services 10.0.xx and 10.5.xx with the latest service pack applied.

 How can I reduce the down time for data collection when switching to the new Integration Services?

 You can install 10.7 Integration Services side-by-side on the same host or another host, and then upgrade the PATROL Agents and directly connect to them to the 10.7 Integration Services.

2 Comments

  1.  What are the supported versions that can be upgraded to BMC TrueSight Infrastructure Management Server 10.7?

     Ans: The previous released versions: Infrastructure Management 10.0.500 or 10.5.xx with the latest service packs applied. For more information, see Preparing for the Infrastructure Management upgrade.

    Question:  Does it not support for TSIM 10 or 10.1 to 10.7 directly upgrade?

     

    1. You can directly upgrade from 10.5.xx or 10.0.500.xx to 10.7.

      From 10.0, you need to perform a phased upgrade - first to one of the versions listed above and then to 10.7.

      There is no 10.1 version of TrueSight Infrastructure Management.

      For more information, please see Supported upgrade paths for Infrastructure Management

      Hope this clarifies/helps.